---
# Run through all tasks to setup machines

- hosts: localhost
  gather_facts: true
  order: inventory
  vars:
    executable_temp_dir: /tmp
    awscli_install_dir: /opt/aws-cli/
    swap_file_path: /swap/swapfile
    swap_file_size_mb: 0
    vault_version: 1.9.3
    tf_version: 1.1.5
    packer_version: 1.7.10

    # btrfs_backup
    snapshots:
      path: /.snapshots
    disk:
      uuid: 53de8433-6394-408c-a856-5f3b9908f21f
    backups:
      - /
      - /home
    notifications:
      user:
        name: ducoterra
        uid: 1000

  roles:

    - role: openssh
      tags: ["openssh"]

    - role: arch_certificates
      tags: ["arch_certificates"]

    - role: arch_hardware_tools
      tags: ["hardware_tools"]

    - role: arch_developer_tools
      tags: ["developer_tools"]

    - role: arch_daily_drivers
      tags: ["daily_drivers"]

    - role: work_tools
      tags: ["work_tools"]

    - role: iscsi_freenas
      tags: ["iscsi_freenas"]

    - role: dconf
      tags: ["dconf"]

    - role: gnome_extensions
      tags: ["gnome_extensions"]

    - role: minecraft
      tags: ["minecraft"]

    - role: btrfs_backups
      tags: ["backups"]
